diff -ruN noc.orig/Makefile noc/Makefile
--- noc.orig/Makefile	2009-12-18 14:26:11.000000000 -0800
+++ noc/Makefile	2010-12-09 08:19:51.423833729 -0800
@@ -6,9 +6,9 @@
 #
 
 PORTNAME=	noc
-PORTVERSION=	0.3.2
+PORTVERSION=	0.5.1
 CATEGORIES=	net-mgmt python
-MASTER_SITES=	http://trac.nocproject.org/trac/downloads/
+MASTER_SITES=	http://redmine.nocproject.org/attachments/download/50/
 DISTNAME=	noc-${PORTVERSION}
 
 MAINTAINER=	count@211.ru
diff -ruN noc.orig/distinfo noc/distinfo
--- noc.orig/distinfo	2009-12-18 14:26:11.000000000 -0800
+++ noc/distinfo	2010-12-09 19:20:39.017601478 -0800
@@ -1,3 +1,2 @@
-MD5 (noc-0.3.2.tar.gz) = 962d2e5d2472114c4e0dfb5d9a4173ce
-SHA256 (noc-0.3.2.tar.gz) = e8fd6844d699636c07f8e166e4560a5f403e8781025ebc4c1dee20838796c7cf
-SIZE (noc-0.3.2.tar.gz) = 1242587
+SHA256 (noc-0.5.1.tar.gz) = 00df04f1cdcb30a16efd7af59385da907a278500dc466597fac314df4975bedf
+SIZE (noc-0.5.1.tar.gz) = 12826397
diff -ruN noc.orig/pkg-plist noc/pkg-plist
--- noc.orig/pkg-plist	2009-12-18 14:26:11.000000000 -0800
+++ noc/pkg-plist	2010-12-09 19:49:59.442360628 -0800
@@ -1,6 +1,4 @@
-noc/500.html
 noc/AUTHORS
-noc/CHANGELOG
 noc/INSTALL
 noc/LICENSE
 noc/MANIFEST
@@ -13,10 +11,97 @@
 noc/cm/__init__.py
 noc/cm/__init__.pyc
 noc/cm/__init__.pyo
-noc/cm/admin.py
-noc/cm/admin.pyc
-noc/cm/admin.pyo
-noc/cm/diff.html
+noc/cm/apps/__init__.py
+noc/cm/apps/__init__.pyc
+noc/cm/apps/__init__.pyo
+noc/cm/apps/config/__init__.py
+noc/cm/apps/config/__init__.pyc
+noc/cm/apps/config/__init__.pyo
+noc/cm/apps/config/templates/change_list.html
+noc/cm/apps/config/tests/__init__.py
+noc/cm/apps/config/tests/__init__.pyc
+noc/cm/apps/config/tests/__init__.pyo
+noc/cm/apps/config/tests/test.py
+noc/cm/apps/config/tests/test.pyc
+noc/cm/apps/config/tests/test.pyo
+noc/cm/apps/config/views.py
+noc/cm/apps/config/views.pyc
+noc/cm/apps/config/views.pyo
+noc/cm/apps/dns/__init__.py
+noc/cm/apps/dns/__init__.pyc
+noc/cm/apps/dns/__init__.pyo
+noc/cm/apps/dns/templates/change_list.html
+noc/cm/apps/dns/tests/__init__.py
+noc/cm/apps/dns/tests/__init__.pyc
+noc/cm/apps/dns/tests/__init__.pyo
+noc/cm/apps/dns/tests/test.py
+noc/cm/apps/dns/tests/test.pyc
+noc/cm/apps/dns/tests/test.pyo
+noc/cm/apps/dns/views.py
+noc/cm/apps/dns/views.pyc
+noc/cm/apps/dns/views.pyo
+noc/cm/apps/objectnotify/__init__.py
+noc/cm/apps/objectnotify/__init__.pyc
+noc/cm/apps/objectnotify/__init__.pyo
+noc/cm/apps/objectnotify/tests/__init__.py
+noc/cm/apps/objectnotify/tests/__init__.pyc
+noc/cm/apps/objectnotify/tests/__init__.pyo
+noc/cm/apps/objectnotify/tests/test.py
+noc/cm/apps/objectnotify/tests/test.pyc
+noc/cm/apps/objectnotify/tests/test.pyo
+noc/cm/apps/objectnotify/views.py
+noc/cm/apps/objectnotify/views.pyc
+noc/cm/apps/objectnotify/views.pyo
+noc/cm/apps/prefixlist/__init__.py
+noc/cm/apps/prefixlist/__init__.pyc
+noc/cm/apps/prefixlist/__init__.pyo
+noc/cm/apps/prefixlist/templates/change_list.html
+noc/cm/apps/prefixlist/tests/__init__.py
+noc/cm/apps/prefixlist/tests/__init__.pyc
+noc/cm/apps/prefixlist/tests/__init__.pyo
+noc/cm/apps/prefixlist/tests/test.py
+noc/cm/apps/prefixlist/tests/test.pyc
+noc/cm/apps/prefixlist/tests/test.pyo
+noc/cm/apps/prefixlist/views.py
+noc/cm/apps/prefixlist/views.pyc
+noc/cm/apps/prefixlist/views.pyo
+noc/cm/apps/reportlatestchanges/__init__.py
+noc/cm/apps/reportlatestchanges/__init__.pyc
+noc/cm/apps/reportlatestchanges/__init__.pyo
+noc/cm/apps/reportlatestchanges/tests/__init__.py
+noc/cm/apps/reportlatestchanges/tests/__init__.pyc
+noc/cm/apps/reportlatestchanges/tests/__init__.pyo
+noc/cm/apps/reportlatestchanges/tests/test.py
+noc/cm/apps/reportlatestchanges/tests/test.pyc
+noc/cm/apps/reportlatestchanges/tests/test.pyo
+noc/cm/apps/reportlatestchanges/views.py
+noc/cm/apps/reportlatestchanges/views.pyc
+noc/cm/apps/reportlatestchanges/views.pyo
+noc/cm/apps/reportstaleconfigs/__init__.py
+noc/cm/apps/reportstaleconfigs/__init__.pyc
+noc/cm/apps/reportstaleconfigs/__init__.pyo
+noc/cm/apps/reportstaleconfigs/tests/__init__.py
+noc/cm/apps/reportstaleconfigs/tests/__init__.pyc
+noc/cm/apps/reportstaleconfigs/tests/__init__.pyo
+noc/cm/apps/reportstaleconfigs/tests/test.py
+noc/cm/apps/reportstaleconfigs/tests/test.pyc
+noc/cm/apps/reportstaleconfigs/tests/test.pyo
+noc/cm/apps/reportstaleconfigs/views.py
+noc/cm/apps/reportstaleconfigs/views.pyc
+noc/cm/apps/reportstaleconfigs/views.pyo
+noc/cm/apps/rpsl/__init__.py
+noc/cm/apps/rpsl/__init__.pyc
+noc/cm/apps/rpsl/__init__.pyo
+noc/cm/apps/rpsl/templates/change_list.html
+noc/cm/apps/rpsl/tests/__init__.py
+noc/cm/apps/rpsl/tests/__init__.pyc
+noc/cm/apps/rpsl/tests/__init__.pyo
+noc/cm/apps/rpsl/tests/test.py
+noc/cm/apps/rpsl/tests/test.pyc
+noc/cm/apps/rpsl/tests/test.pyo
+noc/cm/apps/rpsl/views.py
+noc/cm/apps/rpsl/views.pyc
+noc/cm/apps/rpsl/views.pyo
 noc/cm/management/__init__.py
 noc/cm/management/__init__.pyc
 noc/cm/management/__init__.pyo
@@ -71,6 +156,12 @@
 noc/cm/migrations/0014_object_notifify_drop_emails.py
 noc/cm/migrations/0014_object_notifify_drop_emails.pyc
 noc/cm/migrations/0014_object_notifify_drop_emails.pyo
+noc/cm/migrations/0015_tags.py
+noc/cm/migrations/0015_tags.pyc
+noc/cm/migrations/0015_tags.pyo
+noc/cm/migrations/0016_no_objectgroup.py
+noc/cm/migrations/0016_no_objectgroup.pyc
+noc/cm/migrations/0016_no_objectgroup.pyo
 noc/cm/migrations/__init__.py
 noc/cm/migrations/__init__.pyc
 noc/cm/migrations/__init__.pyo
@@ -95,21 +186,17 @@
 noc/cm/periodics/rpsl_pull.py
 noc/cm/periodics/rpsl_pull.pyc
 noc/cm/periodics/rpsl_pull.pyo
-noc/cm/reports/__init__.py
-noc/cm/reports/__init__.pyc
-noc/cm/reports/__init__.pyo
-noc/cm/reports/ip_addresses_in_config.py
-noc/cm/reports/ip_addresses_in_config.pyc
-noc/cm/reports/ip_addresses_in_config.pyo
-noc/cm/reports/last_changes.py
-noc/cm/reports/last_changes.pyc
-noc/cm/reports/last_changes.pyo
-noc/cm/reports/stale_configs.py
-noc/cm/reports/stale_configs.pyc
-noc/cm/reports/stale_configs.pyo
-noc/cm/urls.py
-noc/cm/urls.pyc
-noc/cm/urls.pyo
+noc/cm/repoapp.py
+noc/cm/repoapp.pyc
+noc/cm/repoapp.pyo
+noc/cm/templates/diff.html
+noc/cm/templates/view.html
+noc/cm/templatetags/__init__.py
+noc/cm/templatetags/__init__.pyc
+noc/cm/templatetags/__init__.pyo
+noc/cm/templatetags/cmtags.py
+noc/cm/templatetags/cmtags.pyc
+noc/cm/templatetags/cmtags.pyo
 noc/cm/vcs/__init__.py
 noc/cm/vcs/__init__.pyc
 noc/cm/vcs/__init__.pyo
